environment-modules_4.1.1-1_amd64.deb


Advertisement

Description

environment-modules - Modular system for handling environment variables

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name environment-modules
Package version 4.1.1
Package release 1
Package architecture amd64
Package type deb
Installed size 580 B
Download size 205.39 KB
Official Mirror archive.ubuntu.com
The Modules package provides for the dynamic modification of a user's
environment via modulefiles.  Each modulefile contains the information
needed to configure the shell for an application. Once the Modules
package is initialized, the environment can be modified dynamically
on a per-module basis using the module command which interprets
modulefiles. Typically modulefiles instruct the module command to alter or
set shell environment variables such as PATH, MANPATH, etc. modulefiles
may be shared by many users on a system and users may have their own
collection to supplement or replace the shared modulefiles.  The modules
environment is common on SGI/Crays and many workstation farms.

Alternatives

Package Version Architecture Repository
environment-modules_4.1.1-1_i386.deb 4.1.1 i386 Ubuntu Universe
environment-modules - - -

Requires

Name Value
less -
libc6 >= 2.14
libtcl8.6 >= 8.6.0
procps -
tcl -
tcl8.6 -

Conflicts

Name Value
lmod -

Download

Type URL
Binary Package environment-modules_4.1.1-1_amd64.deb
Source Package modules

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install environment-modules deb package:
    # sudo apt-get install environment-modules

Files

Path
/etc/csh/login.d/modules
/etc/environment-modules/modulespath
/etc/environment-modules/site.exp
/etc/profile.d/modules.sh
/usr/bin/add.modules
/usr/bin/envml
/usr/bin/mkroot
/usr/bin/modulecmd
/usr/lib/modulecmd.tcl
/usr/lib/x86_64-linux-gnu/modulecmd-compat
/usr/lib/x86_64-linux-gnu/modulecmd.tcl
/usr/share/bash-completion/completions/modules
/usr/share/doc/environment-modules/ChangeLog-compat.gz
/usr/share/doc/environment-modules/MIGRATING.txt.gz
/usr/share/doc/environment-modules/NEWS-compat.gz
/usr/share/doc/environment-modules/NEWS.txt.gz
/usr/share/doc/environment-modules/README.gz
/usr/share/doc/environment-modules/changelog.Debian.gz
/usr/share/doc/environment-modules/copyright
/usr/share/doc/environment-modules/diff_v3_v4.txt.gz
/usr/share/doc/environment-modules/example.txt.gz
/usr/share/man/man1/module-compat.1.gz
/usr/share/man/man1/module.1.gz
/usr/share/man/man4/modulefile-compat.4.gz
/usr/share/man/man4/modulefile.4.gz
/usr/share/modules/init/.modulespath
/usr/share/modules/init/bash
/usr/share/modules/init/bash_completion
/usr/share/modules/init/cmake
/usr/share/modules/init/csh
/usr/share/modules/init/fish
/usr/share/modules/init/fish_completion
/usr/share/modules/init/ksh
/usr/share/modules/init/lisp
/usr/share/modules/init/modulerc
/usr/share/modules/init/perl.pm
/usr/share/modules/init/profile-compat.csh
/usr/share/modules/init/profile-compat.sh
/usr/share/modules/init/profile.csh
/usr/share/modules/init/profile.sh
/usr/share/modules/init/python.py
/usr/share/modules/init/r.R
/usr/share/modules/init/ruby.rb
/usr/share/modules/init/sh
/usr/share/modules/init/tcl
/usr/share/modules/init/tcsh
/usr/share/modules/init/tcsh_completion
/usr/share/modules/init/zsh
/usr/share/modules/init/ksh-functions/module
/usr/share/modules/init/ksh-functions/switchml
/usr/share/modules/init/zsh-functions/_module
/usr/share/modules/modulefiles/dot
/usr/share/modules/modulefiles/module-git
/usr/share/modules/modulefiles/module-info
/usr/share/modules/modulefiles/modules
/usr/share/modules/modulefiles/null
/usr/share/modules/modulefiles/use.own

Changelog

2018-02-19 - Alastair McKinstry <mckinstry@debian.org>
modules (4.1.1-1) unstable; urgency=medium
* New upstream release
* Set VCS to point to salsa.debian.org
* Ack. and close old bug on bash completion: Closes: #865118
* Delete obsolete patches:
- compiler_fixes.patch
- debian/patches/fix_paths.patch
- debian/patches/format.patch
* Update  testsuite-fix.patch
* Set mandir, etcdir in ./rules to configure site.exp correctly
* set initdir. Closes: #890781
* Add procps as a build-dep / runtime dependency
2018-01-20 - Alastair McKinstry <mckinstry@debian.org>
modules (4.1.0-1) unstable; urgency=medium
* New upstream release
* Fix manual files location to /usr/share/man
* Standards-Version: 4.1.3
* Add 'less' as build dependency
2017-12-05 - Alastair McKinstry <mckinstry@debian.org>
modules (4.0.0-2) unstable; urgency=medium
* Fix symlink for bash completion. Closes: #879613
* Fix paths.patch for sh that broke sudo , su use. Closes: #883169
2017-10-18 - Alastair McKinstry <mckinstry@debian.org>
modules (4.0.0-1) unstable; urgency=medium
* New upstream release
- tcl_8.6.patch upstream
- significant rewrite to use tcl rather than C
* Use source format 3.0; compression 'xz'
* Standards-Version: 4.1.1
2016-12-02 - Alastair McKinstry <mckinstry@debian.org>
modules (3.2.10-10) unstable; urgency=medium
* Conflict with lmod. Closes: #846580
* Standards-Version: 3.9.8; no changes required
* Now use debhelper 10.
* Move /etc/bash_completions.d -> /usr/share/bash-completions/completions
* Close old bugs already fixed: Closes: #731974
* Fix broken path to modulecmd in bash completions. Closes: #785223
* Remove duplicate ref to conffile modulespath
2014-03-18 - Alastair McKinstry <mckinstry@debian.org>
modules (3.2.10-9) unstable; urgency=medium
* Now use xz compression.  
* Build with optional tclX support. Closes: #741775.
* Ensure bug closed after typo in last entry: Close: #731974.
2013-12-12 - Alastair McKinstry <mckinstry@debian.org>
modules (3.2.10-8) unstable; urgency=medium
[Yaroslav O. Halchenko]
* debian/sh
- enable init script for zsh. Closes: #731974.
* Add support for tcl < 8.6.
2013-11-29 - Alastair McKinstry <mckinstry@debian.org>
modules (3.2.10-7) unstable; urgency=low
* Add /etc/environment-modules/modulespath as conffile; 
/usr/share/init/.modulespath  points to this. Closes: #711955
* Add /etc/environment-modules/modules ; include in modulespath.
* Patch for fixing minor compiler warnings from lintian.
* Standards-Version: 3.9.5. 
2013-11-10 - Alastair McKinstry <mckinstry@debian.org>
modules (3.2.10-6) unstable; urgency=low
* Fix testsuite breakage on kFreeBSD
2013-10-26 - Alastair McKinstry <mckinstry@debian.org>
modules (3.2.10-5) unstable; urgency=low
* Undo tcl8.6-dev change until the transition as it breaks buildds.
Closes: #726890.

See Also

Package Description
envstore_2.1-4_amd64.deb store for environment variables across shell processes
eoconv_1.5-1_amd64.deb convert text files between various Esperanto encodings
eog-plugin-disable-dark-theme_3.26.2-1_amd64.deb Disable Dark Theme plugin for GNOME Image Viewer
eog-plugin-exif-display_3.26.2-1_amd64.deb Exif Display plugin for GNOME Image Viewer
eog-plugin-export-to-folder_3.26.2-1_amd64.deb Export to Folderplugin for GNOME Image Viewer
eog-plugin-fit-to-width_3.26.2-1_amd64.deb Fit to Width plugin for GNOME Image Viewer
eog-plugin-fullscreen-background_3.26.2-1_amd64.deb Fullscreen Background plugin for GNOME Image Viewer
eog-plugin-hide-titlebar_3.26.2-1_amd64.deb Hide Titlebarplugin for GNOME Image Viewer
eog-plugin-map_3.26.2-1_amd64.deb Map plugin for GNOME Image Viewer
eog-plugin-maximize-windows_3.26.2-1_amd64.deb Maximize Windows plugin for GNOME Image Viewer
eog-plugin-picasa_3.26.2-1_amd64.deb Picasa plugin for GNOME Image Viewer
eog-plugin-python-console_3.26.2-1_amd64.deb Python Console plugin for GNOME Image Viewer
eog-plugin-send-by-mail_3.26.2-1_amd64.deb Send by Mail plugin for GNOME Image Viewer
eog-plugin-slideshow-shuffle_3.26.2-1_amd64.deb Slideshow Shuffle plugin for GNOME Image Viewer
eog-plugins-common_3.26.2-1_all.deb common files for eog-plugins
Advertisement
Advertisement